# Makefile.in generated by automake 1.11.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = test-caps$(EXEEXT) test-create-element$(EXEEXT) \
	test-pipeline-add-element$(EXEEXT) test-link-elements$(EXEEXT) \
	test-create-bin$(EXEEXT) test-miniobject-wrap$(EXEEXT) \
	test-message-wrap$(EXEEXT) test-event-wrap$(EXEEXT) \
	test-query-wrap$(EXEEXT) test-structure$(EXEEXT) \
	test-caps-structures$(EXEEXT) test-interface$(EXEEXT) \
	test-create-bus$(EXEEXT) test-taglist$(EXEEXT) \
	test-tagsetter$(EXEEXT) test-pad$(EXEEXT) \
	test-ghost-pad$(EXEEXT) test-init-check$(EXEEXT) \
	test-init$(EXEEXT) test-init-check-noargs$(EXEEXT) \
	test-init-noargs$(EXEEXT) test-iterator$(EXEEXT) \
	test-property-caps$(EXEEXT) test-plugin-gen$(EXEEXT) \
	test-plugin-signals$(EXEEXT) \
	test-buffer-list-iterator$(EXEEXT) test-base-src$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/libtool.m4 \
	$(top_srcdir)/build/ltoptions.m4 \
	$(top_srcdir)/build/ltsugar.m4 \
	$(top_srcdir)/build/ltversion.m4 \
	$(top_srcdir)/build/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/gstreamer/gstreamermmconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am_test_base_src_OBJECTS = test-base-src.$(OBJEXT)
test_base_src_OBJECTS = $(am_test_base_src_OBJECTS)
test_base_src_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
test_base_src_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am_test_buffer_list_iterator_OBJECTS =  \
	test-buffer-list-iterator.$(OBJEXT)
test_buffer_list_iterator_OBJECTS =  \
	$(am_test_buffer_list_iterator_OBJECTS)
test_buffer_list_iterator_LDADD = $(LDADD)
test_buffer_list_iterator_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_caps_OBJECTS = test-caps.$(OBJEXT)
test_caps_OBJECTS = $(am_test_caps_OBJECTS)
test_caps_LDADD = $(LDADD)
test_caps_DEPENDENCIES = $(am__DEPENDENCIES_1) $(local_libgstreamermm)
am_test_caps_structures_OBJECTS = test-caps-structures.$(OBJEXT)
test_caps_structures_OBJECTS = $(am_test_caps_structures_OBJECTS)
test_caps_structures_LDADD = $(LDADD)
test_caps_structures_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_create_bin_OBJECTS = test-create-bin.$(OBJEXT)
test_create_bin_OBJECTS = $(am_test_create_bin_OBJECTS)
test_create_bin_LDADD = $(LDADD)
test_create_bin_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_create_bus_OBJECTS = test-create-bus.$(OBJEXT)
test_create_bus_OBJECTS = $(am_test_create_bus_OBJECTS)
test_create_bus_LDADD = $(LDADD)
test_create_bus_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_create_element_OBJECTS = test-create-element.$(OBJEXT)
test_create_element_OBJECTS = $(am_test_create_element_OBJECTS)
test_create_element_LDADD = $(LDADD)
test_create_element_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_event_wrap_OBJECTS = test-event-wrap.$(OBJEXT)
test_event_wrap_OBJECTS = $(am_test_event_wrap_OBJECTS)
test_event_wrap_LDADD = $(LDADD)
test_event_wrap_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_ghost_pad_OBJECTS = test-ghost-pad.$(OBJEXT)
test_ghost_pad_OBJECTS = $(am_test_ghost_pad_OBJECTS)
test_ghost_pad_LDADD = $(LDADD)
test_ghost_pad_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_init_OBJECTS = test-init.$(OBJEXT)
test_init_OBJECTS = $(am_test_init_OBJECTS)
test_init_LDADD = $(LDADD)
test_init_DEPENDENCIES = $(am__DEPENDENCIES_1) $(local_libgstreamermm)
am_test_init_check_OBJECTS = test-init-check.$(OBJEXT)
test_init_check_OBJECTS = $(am_test_init_check_OBJECTS)
test_init_check_LDADD = $(LDADD)
test_init_check_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_init_check_noargs_OBJECTS = test-init-check-noargs.$(OBJEXT)
test_init_check_noargs_OBJECTS = $(am_test_init_check_noargs_OBJECTS)
test_init_check_noargs_LDADD = $(LDADD)
test_init_check_noargs_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_init_noargs_OBJECTS = test-init-noargs.$(OBJEXT)
test_init_noargs_OBJECTS = $(am_test_init_noargs_OBJECTS)
test_init_noargs_LDADD = $(LDADD)
test_init_noargs_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_interface_OBJECTS = test-interface.$(OBJEXT)
test_interface_OBJECTS = $(am_test_interface_OBJECTS)
test_interface_LDADD = $(LDADD)
test_interface_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_iterator_OBJECTS = test-iterator.$(OBJEXT)
test_iterator_OBJECTS = $(am_test_iterator_OBJECTS)
test_iterator_LDADD = $(LDADD)
test_iterator_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_link_elements_OBJECTS = test-link-elements.$(OBJEXT)
test_link_elements_OBJECTS = $(am_test_link_elements_OBJECTS)
test_link_elements_LDADD = $(LDADD)
test_link_elements_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_message_wrap_OBJECTS = test-message-wrap.$(OBJEXT)
test_message_wrap_OBJECTS = $(am_test_message_wrap_OBJECTS)
test_message_wrap_LDADD = $(LDADD)
test_message_wrap_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_miniobject_wrap_OBJECTS = test-miniobject-wrap.$(OBJEXT)
test_miniobject_wrap_OBJECTS = $(am_test_miniobject_wrap_OBJECTS)
test_miniobject_wrap_LDADD = $(LDADD)
test_miniobject_wrap_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_pad_OBJECTS = test-pad.$(OBJEXT)
test_pad_OBJECTS = $(am_test_pad_OBJECTS)
test_pad_LDADD = $(LDADD)
test_pad_DEPENDENCIES = $(am__DEPENDENCIES_1) $(local_libgstreamermm)
am_test_pipeline_add_element_OBJECTS =  \
	test-pipeline-add-element.$(OBJEXT)
test_pipeline_add_element_OBJECTS =  \
	$(am_test_pipeline_add_element_OBJECTS)
test_pipeline_add_element_LDADD = $(LDADD)
test_pipeline_add_element_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_plugin_gen_OBJECTS = test-plugin-gen.$(OBJEXT)
test_plugin_gen_OBJECTS = $(am_test_plugin_gen_OBJECTS)
test_plugin_gen_LDADD = $(LDADD)
test_plugin_gen_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_plugin_signals_OBJECTS = test-plugin-signals.$(OBJEXT)
test_plugin_signals_OBJECTS = $(am_test_plugin_signals_OBJECTS)
test_plugin_signals_LDADD = $(LDADD)
test_plugin_signals_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_property_caps_OBJECTS = test-property-caps.$(OBJEXT)
test_property_caps_OBJECTS = $(am_test_property_caps_OBJECTS)
test_property_caps_LDADD = $(LDADD)
test_property_caps_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_query_wrap_OBJECTS = test-query-wrap.$(OBJEXT)
test_query_wrap_OBJECTS = $(am_test_query_wrap_OBJECTS)
test_query_wrap_LDADD = $(LDADD)
test_query_wrap_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_structure_OBJECTS = test-structure.$(OBJEXT)
test_structure_OBJECTS = $(am_test_structure_OBJECTS)
test_structure_LDADD = $(LDADD)
test_structure_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_taglist_OBJECTS = test-taglist.$(OBJEXT)
test_taglist_OBJECTS = $(am_test_taglist_OBJECTS)
test_taglist_LDADD = $(LDADD)
test_taglist_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
am_test_tagsetter_OBJECTS = test-tagsetter.$(OBJEXT)
test_tagsetter_OBJECTS = $(am_test_tagsetter_OBJECTS)
test_tagsetter_LDADD = $(LDADD)
test_tagsetter_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(local_libgstreamermm)
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(test_base_src_SOURCES) \
	$(test_buffer_list_iterator_SOURCES) $(test_caps_SOURCES) \
	$(test_caps_structures_SOURCES) $(test_create_bin_SOURCES) \
	$(test_create_bus_SOURCES) $(test_create_element_SOURCES) \
	$(test_event_wrap_SOURCES) $(test_ghost_pad_SOURCES) \
	$(test_init_SOURCES) $(test_init_check_SOURCES) \
	$(test_init_check_noargs_SOURCES) $(test_init_noargs_SOURCES) \
	$(test_interface_SOURCES) $(test_iterator_SOURCES) \
	$(test_link_elements_SOURCES) $(test_message_wrap_SOURCES) \
	$(test_miniobject_wrap_SOURCES) $(test_pad_SOURCES) \
	$(test_pipeline_add_element_SOURCES) \
	$(test_plugin_gen_SOURCES) $(test_plugin_signals_SOURCES) \
	$(test_property_caps_SOURCES) $(test_query_wrap_SOURCES) \
	$(test_structure_SOURCES) $(test_taglist_SOURCES) \
	$(test_tagsetter_SOURCES)
DIST_SOURCES = $(test_base_src_SOURCES) \
	$(test_buffer_list_iterator_SOURCES) $(test_caps_SOURCES) \
	$(test_caps_structures_SOURCES) $(test_create_bin_SOURCES) \
	$(test_create_bus_SOURCES) $(test_create_element_SOURCES) \
	$(test_event_wrap_SOURCES) $(test_ghost_pad_SOURCES) \
	$(test_init_SOURCES) $(test_init_check_SOURCES) \
	$(test_init_check_noargs_SOURCES) $(test_init_noargs_SOURCES) \
	$(test_interface_SOURCES) $(test_iterator_SOURCES) \
	$(test_link_elements_SOURCES) $(test_message_wrap_SOURCES) \
	$(test_miniobject_wrap_SOURCES) $(test_pad_SOURCES) \
	$(test_pipeline_add_element_SOURCES) \
	$(test_plugin_gen_SOURCES) $(test_plugin_signals_SOURCES) \
	$(test_property_caps_SOURCES) $(test_query_wrap_SOURCES) \
	$(test_structure_SOURCES) $(test_taglist_SOURCES) \
	$(test_tagsetter_SOURCES)
ETAGS = etags
CTAGS = ctags
am__tty_colors = \
red=; grn=; lgn=; blu=; std=
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ACLOCAL_FLAGS = @ACLOCAL_FLAGS@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOCINSTALL_FLAGS = @DOCINSTALL_FLAGS@
DOT = @DOT@
DOXYGEN = @DOXYGEN@
DOXYGEN_TAGFILES = @DOXYGEN_TAGFILES@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GMMPROC_DIR = @GMMPROC_DIR@
GREP = @GREP@
GSTREAMERMM_API_VERSION = @GSTREAMERMM_API_VERSION@
GSTREAMERMM_CFLAGS = @GSTREAMERMM_CFLAGS@
GSTREAMERMM_LIBS = @GSTREAMERMM_LIBS@
GSTREAMERMM_MAJOR_VERSION = @GSTREAMERMM_MAJOR_VERSION@
GSTREAMERMM_MICRO_VERSION = @GSTREAMERMM_MICRO_VERSION@
GSTREAMERMM_MINOR_VERSION = @GSTREAMERMM_MINOR_VERSION@
GSTREAMERMM_MODULES = @GSTREAMERMM_MODULES@
GSTREAMERMM_MODULE_NAME = @GSTREAMERMM_MODULE_NAME@
GSTREAMERMM_PLUGIN_DEFS = @GSTREAMERMM_PLUGIN_DEFS@
GSTREAMERMM_SO_VERSION = @GSTREAMERMM_SO_VERSION@
GSTREAMERMM_VERSION = @GSTREAMERMM_VERSION@
GSTREAMERMM_WXXFLAGS = @GSTREAMERMM_WXXFLAGS@
GST_INSPECT = @GST_INSPECT@
GUI_EXAMPLES_CFLAGS = @GUI_EXAMPLES_CFLAGS@
GUI_EXAMPLES_LIBS = @GUI_EXAMPLES_LIBS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
M4 = @M4@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MMDOCTOOLDIR = @MMDOCTOOLDIR@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
XSLTPROC = @XSLTPROC@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
gstreamermm_includes = -I$(top_builddir)/gstreamer $(if $(srcdir:.=),-I$(top_srcdir)/gstreamer)
local_libgstreamermm = $(top_builddir)/gstreamer/gstreamermm/libgstreamermm-$(GSTREAMERMM_API_VERSION).la
AM_CPPFLAGS = -I$(top_builddir) $(gstreamermm_includes) $(GSTREAMERMM_CFLAGS)
AM_CXXFLAGS = $(GSTREAMERMM_WXXFLAGS)
LDADD = $(GSTREAMERMM_LIBS) $(local_libgstreamermm)

# Include run of test programs in check:
TESTS = $(check_PROGRAMS)
test_caps_SOURCES = test-caps.cc
test_create_element_SOURCES = test-create-element.cc
test_pipeline_add_element_SOURCES = test-pipeline-add-element.cc
test_link_elements_SOURCES = test-link-elements.cc
test_create_bin_SOURCES = test-create-bin.cc
test_miniobject_wrap_SOURCES = test-miniobject-wrap.cc
test_message_wrap_SOURCES = test-message-wrap.cc
test_event_wrap_SOURCES = test-event-wrap.cc
test_query_wrap_SOURCES = test-query-wrap.cc
test_structure_SOURCES = test-structure.cc
test_caps_structures_SOURCES = test-caps-structures.cc
test_interface_SOURCES = test-interface.cc
test_create_bus_SOURCES = test-create-bus.cc
test_taglist_SOURCES = test-taglist.cc
test_tagsetter_SOURCES = test-tagsetter.cc
test_pad_SOURCES = test-pad.cc
test_ghost_pad_SOURCES = test-ghost-pad.cc
test_init_check_SOURCES = test-init-check.cc
test_init_SOURCES = test-init.cc
test_init_check_noargs_SOURCES = test-init-check-noargs.cc
test_init_noargs_SOURCES = test-init-noargs.cc
test_iterator_SOURCES = test-iterator.cc
test_property_caps_SOURCES = test-property-caps.cc
test_plugin_gen_SOURCES = test-plugin-gen.cc
test_plugin_signals_SOURCES = test-plugin-signals.cc
test_buffer_list_iterator_SOURCES = test-buffer-list-iterator.cc
test_base_src_SOURCES = test-base-src.cc
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
test-base-src$(EXEEXT): $(test_base_src_OBJECTS) $(test_base_src_DEPENDENCIES) 
	@rm -f test-base-src$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_base_src_OBJECTS) $(test_base_src_LDADD) $(LIBS)
test-buffer-list-iterator$(EXEEXT): $(test_buffer_list_iterator_OBJECTS) $(test_buffer_list_iterator_DEPENDENCIES) 
	@rm -f test-buffer-list-iterator$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_buffer_list_iterator_OBJECTS) $(test_buffer_list_iterator_LDADD) $(LIBS)
test-caps$(EXEEXT): $(test_caps_OBJECTS) $(test_caps_DEPENDENCIES) 
	@rm -f test-caps$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_caps_OBJECTS) $(test_caps_LDADD) $(LIBS)
test-caps-structures$(EXEEXT): $(test_caps_structures_OBJECTS) $(test_caps_structures_DEPENDENCIES) 
	@rm -f test-caps-structures$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_caps_structures_OBJECTS) $(test_caps_structures_LDADD) $(LIBS)
test-create-bin$(EXEEXT): $(test_create_bin_OBJECTS) $(test_create_bin_DEPENDENCIES) 
	@rm -f test-create-bin$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_create_bin_OBJECTS) $(test_create_bin_LDADD) $(LIBS)
test-create-bus$(EXEEXT): $(test_create_bus_OBJECTS) $(test_create_bus_DEPENDENCIES) 
	@rm -f test-create-bus$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_create_bus_OBJECTS) $(test_create_bus_LDADD) $(LIBS)
test-create-element$(EXEEXT): $(test_create_element_OBJECTS) $(test_create_element_DEPENDENCIES) 
	@rm -f test-create-element$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_create_element_OBJECTS) $(test_create_element_LDADD) $(LIBS)
test-event-wrap$(EXEEXT): $(test_event_wrap_OBJECTS) $(test_event_wrap_DEPENDENCIES) 
	@rm -f test-event-wrap$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_event_wrap_OBJECTS) $(test_event_wrap_LDADD) $(LIBS)
test-ghost-pad$(EXEEXT): $(test_ghost_pad_OBJECTS) $(test_ghost_pad_DEPENDENCIES) 
	@rm -f test-ghost-pad$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_ghost_pad_OBJECTS) $(test_ghost_pad_LDADD) $(LIBS)
test-init$(EXEEXT): $(test_init_OBJECTS) $(test_init_DEPENDENCIES) 
	@rm -f test-init$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_init_OBJECTS) $(test_init_LDADD) $(LIBS)
test-init-check$(EXEEXT): $(test_init_check_OBJECTS) $(test_init_check_DEPENDENCIES) 
	@rm -f test-init-check$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_init_check_OBJECTS) $(test_init_check_LDADD) $(LIBS)
test-init-check-noargs$(EXEEXT): $(test_init_check_noargs_OBJECTS) $(test_init_check_noargs_DEPENDENCIES) 
	@rm -f test-init-check-noargs$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_init_check_noargs_OBJECTS) $(test_init_check_noargs_LDADD) $(LIBS)
test-init-noargs$(EXEEXT): $(test_init_noargs_OBJECTS) $(test_init_noargs_DEPENDENCIES) 
	@rm -f test-init-noargs$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_init_noargs_OBJECTS) $(test_init_noargs_LDADD) $(LIBS)
test-interface$(EXEEXT): $(test_interface_OBJECTS) $(test_interface_DEPENDENCIES) 
	@rm -f test-interface$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_interface_OBJECTS) $(test_interface_LDADD) $(LIBS)
test-iterator$(EXEEXT): $(test_iterator_OBJECTS) $(test_iterator_DEPENDENCIES) 
	@rm -f test-iterator$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_iterator_OBJECTS) $(test_iterator_LDADD) $(LIBS)
test-link-elements$(EXEEXT): $(test_link_elements_OBJECTS) $(test_link_elements_DEPENDENCIES) 
	@rm -f test-link-elements$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_link_elements_OBJECTS) $(test_link_elements_LDADD) $(LIBS)
test-message-wrap$(EXEEXT): $(test_message_wrap_OBJECTS) $(test_message_wrap_DEPENDENCIES) 
	@rm -f test-message-wrap$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_message_wrap_OBJECTS) $(test_message_wrap_LDADD) $(LIBS)
test-miniobject-wrap$(EXEEXT): $(test_miniobject_wrap_OBJECTS) $(test_miniobject_wrap_DEPENDENCIES) 
	@rm -f test-miniobject-wrap$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_miniobject_wrap_OBJECTS) $(test_miniobject_wrap_LDADD) $(LIBS)
test-pad$(EXEEXT): $(test_pad_OBJECTS) $(test_pad_DEPENDENCIES) 
	@rm -f test-pad$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_pad_OBJECTS) $(test_pad_LDADD) $(LIBS)
test-pipeline-add-element$(EXEEXT): $(test_pipeline_add_element_OBJECTS) $(test_pipeline_add_element_DEPENDENCIES) 
	@rm -f test-pipeline-add-element$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_pipeline_add_element_OBJECTS) $(test_pipeline_add_element_LDADD) $(LIBS)
test-plugin-gen$(EXEEXT): $(test_plugin_gen_OBJECTS) $(test_plugin_gen_DEPENDENCIES) 
	@rm -f test-plugin-gen$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_plugin_gen_OBJECTS) $(test_plugin_gen_LDADD) $(LIBS)
test-plugin-signals$(EXEEXT): $(test_plugin_signals_OBJECTS) $(test_plugin_signals_DEPENDENCIES) 
	@rm -f test-plugin-signals$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_plugin_signals_OBJECTS) $(test_plugin_signals_LDADD) $(LIBS)
test-property-caps$(EXEEXT): $(test_property_caps_OBJECTS) $(test_property_caps_DEPENDENCIES) 
	@rm -f test-property-caps$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_property_caps_OBJECTS) $(test_property_caps_LDADD) $(LIBS)
test-query-wrap$(EXEEXT): $(test_query_wrap_OBJECTS) $(test_query_wrap_DEPENDENCIES) 
	@rm -f test-query-wrap$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_query_wrap_OBJECTS) $(test_query_wrap_LDADD) $(LIBS)
test-structure$(EXEEXT): $(test_structure_OBJECTS) $(test_structure_DEPENDENCIES) 
	@rm -f test-structure$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_structure_OBJECTS) $(test_structure_LDADD) $(LIBS)
test-taglist$(EXEEXT): $(test_taglist_OBJECTS) $(test_taglist_DEPENDENCIES) 
	@rm -f test-taglist$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_taglist_OBJECTS) $(test_taglist_LDADD) $(LIBS)
test-tagsetter$(EXEEXT): $(test_tagsetter_OBJECTS) $(test_tagsetter_DEPENDENCIES) 
	@rm -f test-tagsetter$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_tagsetter_OBJECTS) $(test_tagsetter_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-base-src.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-buffer-list-iterator.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-caps-structures.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-caps.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-create-bin.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-create-bus.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-create-element.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-event-wrap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-ghost-pad.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-init-check-noargs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-init-check.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-init-noargs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-init.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-interface.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-iterator.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-link-elements.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-message-wrap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-miniobject-wrap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-pad.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-pipeline-add-element.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-plugin-gen.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-plugin-signals.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-property-caps.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-query-wrap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-structure.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-taglist.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-tagsetter.Po@am__quote@

.cc.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    echo "$$grn$$dashes"; \
	  else \
	    echo "$$red$$dashes"; \
	  fi; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes$$std"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
